import { Icon, type IconProps } from '../../components/Icon.tsx'

export interface SidebarLeftIconProps extends IconProps {
  variant?: 'regular' | 'fill'
}

export function SidebarLeftIcon({ variant = 'regular', ...props }: SidebarLeftIconProps) {
  const src = (() => {
    switch (variant) {
      default:
      case 'regular':
        return <svg fill="currentcolor" viewBox="0 0 32 32"><path d="M27 5H5a2 2 0 0 0-2 2v18a2 2 0 0 0 2 2h22a2 2 0 0 0 2-2V7a2 2 0 0 0-2-2M5 7h5v18H5zm22 18H12V7h15z" /></svg>
      case 'fill':
        return <svg fill="currentcolor" viewBox="0 0 32 32"><path d="M27 5H5a2 2 0 0 0-2 2v18a2 2 0 0 0 2 2h22a2 2 0 0 0 2-2V7a2 2 0 0 0-2-2m0 20H11V7h16z" /></svg>
    }
  })()

  return <Icon src={src} data-name="SidebarLeft" {...props} />
}
